From cb2fc30b6f3622a4f35d84714bd89091809d7f7f Mon Sep 17 00:00:00 2001
From: Brad Israel <bisrael8191@gmail.com>
Date: Wed, 15 Jan 2020 22:27:53 -0500
Subject: [PATCH 18/25] Adding GoTrust Idem Key to udev rules

Signed-off-by: Gustavo B. Schenkel <gustavo.schenkel@gmail.com>
---
 70-u2f.rules    |  3 +++
 u2f.conf.sample | 10 ++++++++++
 2 files changed, 13 insertions(+)

diff --git a/70-u2f.rules b/70-u2f.rules
index 32e2b93..4ef1096 100644
--- a/70-u2f.rules
+++ b/70-u2f.rules
@@ -80,4 +80,7 @@ KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="311f", ATTRS{idProduct
 # OnlyKey (FIDO2 / U2F)
 KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="1d50", ATTRS{idProduct}=="60fc", TAG+="uaccess", GROUP="plugdev", MODE="0660"
 
+# GoTrust Idem Key
+KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="1fc9", ATTRS{idProduct}=="f143", TAG+="uaccess", GROUP="plugdev", MODE="0660"
+
 LABEL="u2f_end"
diff --git a/u2f.conf.sample b/u2f.conf.sample
index 9d91df7..b796d3f 100644
--- a/u2f.conf.sample
+++ b/u2f.conf.sample
@@ -139,3 +139,13 @@ notify 100 {
 	match "product"		"(0x5070|0x50b0)";
 	action "chgrp u2f /dev/$cdev; chmod g+rw /dev/$cdev";
 };
+
+# GoTrust Idem Key
+notify 100 {
+	match "system"		"USB";
+	match "subsystem"	"DEVICE";
+	match "type"		"ATTACH";
+	match "vendor"		"0x1fc9";
+	match "product"		"0xf143";
+	action "chgrp u2f /dev/$cdev; chmod g+rw /dev/$cdev";
+};
-- 
2.32.0

